#!/usr/local/bin/perl5
# Lists all files from the queue older than the specified number of days.
# Usage purge.perl number_of_days
# Example: (rm -r `purge.perl 7`) removes anything over a week old.

$limit = $ARGV[0];
$limit = 7 if($limit eq "");

$path = "/afs/cs.cmu.edu/user/UUUU/.blowback";

$err=0;
opendir(DIR, "$path/queue") or $err=1;
@allfiles = readdir(DIR) or $err=1;
closedir(DIR) or $err=1;
die "Unable to read mail queue $path/queue\n" if($err);
foreach (@allfiles) {
  next if( /^\./ );
  my $file = "$path/queue/$_";
  my $m = -M $file;
  print "$file\n" if($m>=$limit);
}

